<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.aspen.mapper.TDashboarddataMapper">
    
    <resultMap type="TDashboarddata" id="TDashboarddataResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createrCode"    column="creater_code"    />
        <result property="createdate"    column="createdate"    />
        <result property="updaterCode"    column="updater_code"    />
        <result property="updatedate"    column="updatedate"    />
        <result property="energyYixi"    column="energy_yixi"    />
        <result property="energyBingxi"    column="energy_bingxi"    />
        <result property="energyQingqi"    column="energy_qingqi"    />
        <result property="energyJiawan"    column="energy_jiawan"    />
        <result property="energyCsi"    column="energy_csi"    />
        <result property="energyBenzene"    column="energy_benzene"    />
        <result property="energyToluene"    column="energy_toluene"    />
        <result property="energyXylene"    column="energy_xylene"    />
        <result property="energyTanliu"    column="energy_tanliu"    />
        <result property="energyWashoil"    column="energy_washoil"    />
        <result property="energyTanwu"    column="energy_tanwu"    />
        <result property="energyIma"    column="energy_ima"    />
        <result property="energyCjiu"    column="energy_cjiu"    />
        <result property="energyRpg"    column="energy_rpg"    />
        <result property="energyfeedNap"    column="energyfeed_nap"    />
        <result property="energyfeedYiwan"    column="energyfeed_yiwan"    />
        <result property="energyfeedTanwu"    column="energyfeed_tanwu"    />
        <result property="energyfeedTanliu"    column="energyfeed_tanliu"    />
        <result property="energyfeedLpg"    column="energyfeed_lpg"    />
        <result property="energyOffgas"    column="energy_offgas"    />
        <result property="energyLpg"    column="energy_lpg"    />
        <result property="steamSsinfur"    column="steam_ssinfur"    />
        <result property="steamSsoutlet"    column="steam_ssoutlet"    />
        <result property="steamSsoutaeu"    column="steam_ssoutaeu"    />
        <result property="steamSsoutesi"    column="steam_ssoutesi"    />
        <result property="steamSsoutksan"    column="steam_ssoutksan"    />
        <result property="steamSsoutsc"    column="steam_ssoutsc"    />
        <result property="steamHsinsub"    column="steam_hsinsub"    />
        <result property="steamHsinlet"    column="steam_hsinlet"    />
        <result property="steamHsinksan"    column="steam_hsinksan"    />
        <result property="steamHsoutpjiu"    column="steam_hsoutpjiu"    />
        <result property="steamHsoutaeu"    column="steam_hsoutaeu"    />
        <result property="steamHsoutlet"    column="steam_hsoutlet"    />
        <result property="steamHsoutesan"    column="steam_hsoutesan"    />
        <result property="steamHsoutphyi"    column="steam_hsoutphyi"    />
        <result property="steamHsoutpher"    column="steam_hsoutpher"    />
        <result property="steamHsouthwu"    column="steam_hsouthwu"    />
        <result property="steamHsoutkliu"    column="steam_hsoutkliu"    />
        <result property="steamHsoutklz"    column="steam_hsoutklz"    />
        <result property="steamHsoutsc"    column="steam_hsoutsc"    />
        <result property="steamHhpsub"    column="steam_hhpsub"    />
        <result property="steamMsinaeu"    column="steam_msinaeu"    />
        <result property="steamMsinlet"    column="steam_msinlet"    />
        <result property="steamMsinphyi"    column="steam_msinphyi"    />
        <result property="steamMsinkliu"    column="steam_msinkliu"    />
        <result property="steamMsoutflare"    column="steam_msoutflare"    />
        <result property="steamMsoutaeu"    column="steam_msoutaeu"    />
        <result property="steamMsoutsctu"    column="steam_msoutsctu"    />
        <result property="steamMsouteer"    column="steam_msouteer"    />
        <result property="steamMsoutfur"    column="steam_msoutfur"    />
        <result property="steamMsoutva"    column="steam_msoutva"    />
        <result property="steamMsouttracing"    column="steam_msouttracing"    />
        <result property="steamLsinsub"    column="steam_lsinsub"    />
        <result property="steamLsinpjiu"    column="steam_lsinpjiu"    />
        <result property="steamLsinaeu"    column="steam_lsinaeu"    />
        <result property="steamLsineer"    column="steam_lsineer"    />
        <result property="steamLsinpher"    column="steam_lsinpher"    />
        <result property="steamLsoutsctu"    column="steam_lsoutsctu"    />
        <result property="steamLsoutvjiu"    column="steam_lsoutvjiu"    />
        <result property="steamLsoutewuliu"    column="steam_lsoutewuliu"    />
        <result property="steamLsoutewusan"    column="steam_lsoutewusan"    />
        <result property="steamLsouttracing"    column="steam_lsouttracing"    />
        <result property="steamLsoutesan"    column="steam_lsoutesan"    />
        <result property="steamLsoutesi"    column="steam_lsoutesi"    />
        <result property="steamLsoutother"    column="steam_lsoutother"    />
        <result property="napOne"    column="nap_one"    />
        <result property="napTwo"    column="nap_two"    />
        <result property="napThree"    column="nap_three"    />
        <result property="ehtOne"    column="eht_one"    />
        <result property="ehtTwo"    column="eht_two"    />
        <result property="ehtThree"    column="eht_three"    />
        <result property="ehtFour"    column="eht_four"    />
        <result property="ehtFive"    column="eht_five"    />
        <result property="acrOne"    column="acr_one"    />
        <result property="acrTwo"    column="acr_two"    />
        <result property="acrThree"    column="acr_three"    />
        <result property="acrFour"    column="acr_four"    />
        <result property="acrZero"    column="acr_zero"    />
        <result property="proTwo"    column="pro_two"    />
        <result property="proOne"    column="pro_one"    />
        <result property="proThree"    column="pro_three"    />
        <result property="proFour"    column="pro_four"    />
        <result property="ssBcc"    column="ss_bcc"    />
        <result property="ssSub"    column="ss_sub"    />
        <result property="ssEu"    column="ss_eu"    />
        <result property="ssPgu"    column="ss_pgu"    />
        <result property="hhpBcc"    column="hhp_bcc"    />
        <result property="hhpSub"    column="hhp_sub"    />
        <result property="hsBcc"    column="hs_bcc"    />
        <result property="hsSub"    column="hs_sub"    />
        <result property="hsEu"    column="hs_eu"    />
        <result property="hsPgu"    column="hs_pgu"    />
        <result property="msBcc"    column="ms_bcc"    />
        <result property="msEu"    column="ms_eu"    />
        <result property="msPgu"    column="ms_pgu"    />
        <result property="lsBcc"    column="ls_bcc"    />
        <result property="lsEu"    column="ls_eu"    />
        <result property="lsPgu"    column="ls_pgu"    />
        <result property="totalBcc"    column="total_bcc"    />
        <result property="totalEu"    column="total_eu"    />
        <result property="zongBcc"    column="zong_bcc"    />
        <result property="zongEu"    column="zong_eu"    />
        <result property="zongPgu"    column="zong_pgu"    />
        <result property="outputYixi"    column="output_yixi"    />
        <result property="outputBx"    column="output_bx"    />
        <result property="outputAnnual"    column="output_annual"    />
        <result property="instantaneous"    column="instantaneous"    />
        <result property="cumulative"    column="cumulative"    />
        <result property="steamHsouthc230"    column="steam_hsouthc230"    />
    </resultMap>

    <sql id="selectTDashboarddataVo">
        select id, del_flag, creater_code, createdate, updater_code, updatedate, energy_yixi, energy_bingxi, energy_qingqi, energy_jiawan, energy_csi, energy_benzene, energy_toluene, energy_xylene, energy_tanliu, energy_washoil, energy_tanwu, energy_ima, energy_cjiu, energy_rpg, energyfeed_nap, energyfeed_yiwan, energyfeed_tanwu, energyfeed_tanliu, energyfeed_lpg, energy_offgas, energy_lpg, steam_ssinfur, steam_ssoutlet, steam_ssoutaeu, steam_ssoutesi, steam_ssoutksan, steam_ssoutsc, steam_hsinsub, steam_hsinlet, steam_hsinksan, steam_hsoutpjiu, steam_hsoutaeu, steam_hsoutlet, steam_hsoutesan, steam_hsoutphyi, steam_hsoutpher, steam_hsouthwu, steam_hsoutkliu, steam_hsoutklz, steam_hsoutsc, steam_hhpsub, steam_msinaeu, steam_msinlet, steam_msinphyi, steam_msinkliu, steam_msoutflare, steam_msoutaeu, steam_msoutsctu, steam_msouteer, steam_msoutfur, steam_msoutva, steam_msouttracing, steam_lsinsub, steam_lsinpjiu, steam_lsinaeu, steam_lsineer, steam_lsinpher, steam_lsoutsctu, steam_lsoutvjiu, steam_lsoutewuliu, steam_lsoutewusan, steam_lsouttracing, steam_lsoutesan, steam_lsoutesi, steam_lsoutother, nap_one, nap_two, nap_three, eht_one, eht_two, eht_three, eht_four, eht_five, acr_one, acr_two, acr_three, acr_four, acr_zero, pro_two, pro_one, pro_three, pro_four, ss_bcc, ss_sub, ss_eu, ss_pgu, hhp_bcc, hhp_sub, hs_bcc, hs_sub, hs_eu, hs_pgu, ms_bcc, ms_eu, ms_pgu, ls_bcc, ls_eu, ls_pgu, total_bcc, total_eu, zong_bcc, zong_eu, zong_pgu, output_yixi, output_bx, output_annual, instantaneous, cumulative, steamHsouthc230 from t_dashboarddata
    </sql>

    <select id="selectTDashboarddataList" parameterType="TDashboarddata" resultMap="TDashboarddataResult">
        <include refid="selectTDashboarddataVo"/>
        <where>  
            <if test="createrCode != null  and createrCode != ''"> and creater_code = #{createrCode}</if>
            <if test="createdate != null "> and createdate = #{createdate}</if>
            <if test="updaterCode != null  and updaterCode != ''"> and updater_code = #{updaterCode}</if>
            <if test="updatedate != null "> and updatedate = #{updatedate}</if>
            <if test="energyYixi != null  and energyYixi != ''"> and energy_yixi = #{energyYixi}</if>
            <if test="energyBingxi != null  and energyBingxi != ''"> and energy_bingxi = #{energyBingxi}</if>
            <if test="energyQingqi != null  and energyQingqi != ''"> and energy_qingqi = #{energyQingqi}</if>
            <if test="energyJiawan != null  and energyJiawan != ''"> and energy_jiawan = #{energyJiawan}</if>
            <if test="energyCsi != null  and energyCsi != ''"> and energy_csi = #{energyCsi}</if>
            <if test="energyBenzene != null  and energyBenzene != ''"> and energy_benzene = #{energyBenzene}</if>
            <if test="energyToluene != null  and energyToluene != ''"> and energy_toluene = #{energyToluene}</if>
            <if test="energyXylene != null  and energyXylene != ''"> and energy_xylene = #{energyXylene}</if>
            <if test="energyTanliu != null  and energyTanliu != ''"> and energy_tanliu = #{energyTanliu}</if>
            <if test="energyWashoil != null  and energyWashoil != ''"> and energy_washoil = #{energyWashoil}</if>
            <if test="energyTanwu != null  and energyTanwu != ''"> and energy_tanwu = #{energyTanwu}</if>
            <if test="energyIma != null  and energyIma != ''"> and energy_ima = #{energyIma}</if>
            <if test="energyCjiu != null  and energyCjiu != ''"> and energy_cjiu = #{energyCjiu}</if>
            <if test="energyRpg != null  and energyRpg != ''"> and energy_rpg = #{energyRpg}</if>
            <if test="energyfeedNap != null  and energyfeedNap != ''"> and energyfeed_nap = #{energyfeedNap}</if>
            <if test="energyfeedYiwan != null  and energyfeedYiwan != ''"> and energyfeed_yiwan = #{energyfeedYiwan}</if>
            <if test="energyfeedTanwu != null  and energyfeedTanwu != ''"> and energyfeed_tanwu = #{energyfeedTanwu}</if>
            <if test="energyfeedTanliu != null  and energyfeedTanliu != ''"> and energyfeed_tanliu = #{energyfeedTanliu}</if>
            <if test="energyfeedLpg != null  and energyfeedLpg != ''"> and energyfeed_lpg = #{energyfeedLpg}</if>
            <if test="energyOffgas != null  and energyOffgas != ''"> and energy_offgas = #{energyOffgas}</if>
            <if test="energyLpg != null  and energyLpg != ''"> and energy_lpg = #{energyLpg}</if>
            and del_flag = 0
        </where>
        order by id
    </select>

    <select id="selectLast" parameterType="TDashboarddata" resultMap="TDashboarddataResult">
        select * from ( select * from t_dashboarddata where del_flag = 0 order by id desc ) WHERE ROWNUM = 1
    </select>
    
    <select id="selectTDashboarddataById" parameterType="Long" resultMap="TDashboarddataResult">
        <include refid="selectTDashboarddataVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertTDashboarddata" parameterType="TDashboarddata">
        <selectKey keyProperty="id" resultType="long" order="BEFORE">
            SELECT seq_t_dashboarddata.NEXTVAL as id FROM DUAL
        </selectKey>
        insert into t_dashboarddata
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createrCode != null">creater_code,</if>
            <if test="createdate != null">createdate,</if>
            <if test="updaterCode != null">updater_code,</if>
            <if test="updatedate != null">updatedate,</if>
            <if test="energyYixi != null">energy_yixi,</if>
            <if test="energyBingxi != null">energy_bingxi,</if>
            <if test="energyQingqi != null">energy_qingqi,</if>
            <if test="energyJiawan != null">energy_jiawan,</if>
            <if test="energyCsi != null">energy_csi,</if>
            <if test="energyBenzene != null">energy_benzene,</if>
            <if test="energyToluene != null">energy_toluene,</if>
            <if test="energyXylene != null">energy_xylene,</if>
            <if test="energyTanliu != null">energy_tanliu,</if>
            <if test="energyWashoil != null">energy_washoil,</if>
            <if test="energyTanwu != null">energy_tanwu,</if>
            <if test="energyIma != null">energy_ima,</if>
            <if test="energyCjiu != null">energy_cjiu,</if>
            <if test="energyRpg != null">energy_rpg,</if>
            <if test="energyfeedNap != null">energyfeed_nap,</if>
            <if test="energyfeedYiwan != null">energyfeed_yiwan,</if>
            <if test="energyfeedTanwu != null">energyfeed_tanwu,</if>
            <if test="energyfeedTanliu != null">energyfeed_tanliu,</if>
            <if test="energyfeedLpg != null">energyfeed_lpg,</if>
            <if test="energyOffgas != null">energy_offgas,</if>
            <if test="energyLpg != null">energy_lpg,</if>
            <if test="steamSsinfur != null">steam_ssinfur,</if>
            <if test="steamSsoutlet != null">steam_ssoutlet,</if>
            <if test="steamSsoutaeu != null">steam_ssoutaeu,</if>
            <if test="steamSsoutesi != null">steam_ssoutesi,</if>
            <if test="steamSsoutksan != null">steam_ssoutksan,</if>
            <if test="steamSsoutsc != null">steam_ssoutsc,</if>
            <if test="steamHsinsub != null">steam_hsinsub,</if>
            <if test="steamHsinlet != null">steam_hsinlet,</if>
            <if test="steamHsinksan != null">steam_hsinksan,</if>
            <if test="steamHsoutpjiu != null">steam_hsoutpjiu,</if>
            <if test="steamHsoutaeu != null">steam_hsoutaeu,</if>
            <if test="steamHsoutlet != null">steam_hsoutlet,</if>
            <if test="steamHsoutesan != null">steam_hsoutesan,</if>
            <if test="steamHsoutphyi != null">steam_hsoutphyi,</if>
            <if test="steamHsoutpher != null">steam_hsoutpher,</if>
            <if test="steamHsouthwu != null">steam_hsouthwu,</if>
            <if test="steamHsoutkliu != null">steam_hsoutkliu,</if>
            <if test="steamHsoutklz != null">steam_hsoutklz,</if>
            <if test="steamHsoutsc != null">steam_hsoutsc,</if>
            <if test="steamHhpsub != null">steam_hhpsub,</if>
            <if test="steamMsinaeu != null">steam_msinaeu,</if>
            <if test="steamMsinlet != null">steam_msinlet,</if>
            <if test="steamMsinphyi != null">steam_msinphyi,</if>
            <if test="steamMsinkliu != null">steam_msinkliu,</if>
            <if test="steamMsoutflare != null">steam_msoutflare,</if>
            <if test="steamMsoutaeu != null">steam_msoutaeu,</if>
            <if test="steamMsoutsctu != null">steam_msoutsctu,</if>
            <if test="steamMsouteer != null">steam_msouteer,</if>
            <if test="steamMsoutfur != null">steam_msoutfur,</if>
            <if test="steamMsoutva != null">steam_msoutva,</if>
            <if test="steamMsouttracing != null">steam_msouttracing,</if>
            <if test="steamLsinsub != null">steam_lsinsub,</if>
            <if test="steamLsinpjiu != null">steam_lsinpjiu,</if>
            <if test="steamLsinaeu != null">steam_lsinaeu,</if>
            <if test="steamLsineer != null">steam_lsineer,</if>
            <if test="steamLsinpher != null">steam_lsinpher,</if>
            <if test="steamLsoutsctu != null">steam_lsoutsctu,</if>
            <if test="steamLsoutvjiu != null">steam_lsoutvjiu,</if>
            <if test="steamLsoutewuliu != null">steam_lsoutewuliu,</if>
            <if test="steamLsoutewusan != null">steam_lsoutewusan,</if>
            <if test="steamLsouttracing != null">steam_lsouttracing,</if>
            <if test="steamLsoutesan != null">steam_lsoutesan,</if>
            <if test="steamLsoutesi != null">steam_lsoutesi,</if>
            <if test="steamLsoutother != null">steam_lsoutother,</if>
            <if test="napOne != null">nap_one,</if>
            <if test="napTwo != null">nap_two,</if>
            <if test="napThree != null">nap_three,</if>
            <if test="ehtOne != null">eht_one,</if>
            <if test="ehtTwo != null">eht_two,</if>
            <if test="ehtThree != null">eht_three,</if>
            <if test="ehtFour != null">eht_four,</if>
            <if test="ehtFive != null">eht_five,</if>
            <if test="acrOne != null">acr_one,</if>
            <if test="acrTwo != null">acr_two,</if>
            <if test="acrThree != null">acr_three,</if>
            <if test="acrFour != null">acr_four,</if>
            <if test="acrZero != null">acr_zero,</if>
            <if test="proTwo != null">pro_two,</if>
            <if test="proOne != null">pro_one,</if>
            <if test="proThree != null">pro_three,</if>
            <if test="proFour != null">pro_four,</if>
            <if test="ssBcc != null">ss_bcc,</if>
            <if test="ssSub != null">ss_sub,</if>
            <if test="ssEu != null">ss_eu,</if>
            <if test="ssPgu != null">ss_pgu,</if>
            <if test="hhpBcc != null">hhp_bcc,</if>
            <if test="hhpSub != null">hhp_sub,</if>
            <if test="hsBcc != null">hs_bcc,</if>
            <if test="hsSub != null">hs_sub,</if>
            <if test="hsEu != null">hs_eu,</if>
            <if test="hsPgu != null">hs_pgu,</if>
            <if test="msBcc != null">ms_bcc,</if>
            <if test="msEu != null">ms_eu,</if>
            <if test="msPgu != null">ms_pgu,</if>
            <if test="lsBcc != null">ls_bcc,</if>
            <if test="lsEu != null">ls_eu,</if>
            <if test="lsPgu != null">ls_pgu,</if>
            <if test="totalBcc != null">total_bcc,</if>
            <if test="totalEu != null">total_eu,</if>
            <if test="zongBcc != null">zong_bcc,</if>
            <if test="zongEu != null">zong_eu,</if>
            <if test="zongPgu != null">zong_pgu,</if>
            <if test="outputYixi != null">output_yixi,</if>
            <if test="outputBx != null">output_bx,</if>
            <if test="outputAnnual != null">output_annual,</if>
            <if test="instantaneous != null">instantaneous,</if>
            <if test="cumulative != null">cumulative,</if>
            <if test="steamHsouthc230 != null">steam_hsouthc230,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createrCode != null">#{createrCode},</if>
            <if test="createdate != null">#{createdate},</if>
            <if test="updaterCode != null">#{updaterCode},</if>
            <if test="updatedate != null">#{updatedate},</if>
            <if test="energyYixi != null">#{energyYixi},</if>
            <if test="energyBingxi != null">#{energyBingxi},</if>
            <if test="energyQingqi != null">#{energyQingqi},</if>
            <if test="energyJiawan != null">#{energyJiawan},</if>
            <if test="energyCsi != null">#{energyCsi},</if>
            <if test="energyBenzene != null">#{energyBenzene},</if>
            <if test="energyToluene != null">#{energyToluene},</if>
            <if test="energyXylene != null">#{energyXylene},</if>
            <if test="energyTanliu != null">#{energyTanliu},</if>
            <if test="energyWashoil != null">#{energyWashoil},</if>
            <if test="energyTanwu != null">#{energyTanwu},</if>
            <if test="energyIma != null">#{energyIma},</if>
            <if test="energyCjiu != null">#{energyCjiu},</if>
            <if test="energyRpg != null">#{energyRpg},</if>
            <if test="energyfeedNap != null">#{energyfeedNap},</if>
            <if test="energyfeedYiwan != null">#{energyfeedYiwan},</if>
            <if test="energyfeedTanwu != null">#{energyfeedTanwu},</if>
            <if test="energyfeedTanliu != null">#{energyfeedTanliu},</if>
            <if test="energyfeedLpg != null">#{energyfeedLpg},</if>
            <if test="energyOffgas != null">#{energyOffgas},</if>
            <if test="energyLpg != null">#{energyLpg},</if>
            <if test="steamSsinfur != null">#{steamSsinfur},</if>
            <if test="steamSsoutlet != null">#{steamSsoutlet},</if>
            <if test="steamSsoutaeu != null">#{steamSsoutaeu},</if>
            <if test="steamSsoutesi != null">#{steamSsoutesi},</if>
            <if test="steamSsoutksan != null">#{steamSsoutksan},</if>
            <if test="steamSsoutsc != null">#{steamSsoutsc},</if>
            <if test="steamHsinsub != null">#{steamHsinsub},</if>
            <if test="steamHsinlet != null">#{steamHsinlet},</if>
            <if test="steamHsinksan != null">#{steamHsinksan},</if>
            <if test="steamHsoutpjiu != null">#{steamHsoutpjiu},</if>
            <if test="steamHsoutaeu != null">#{steamHsoutaeu},</if>
            <if test="steamHsoutlet != null">#{steamHsoutlet},</if>
            <if test="steamHsoutesan != null">#{steamHsoutesan},</if>
            <if test="steamHsoutphyi != null">#{steamHsoutphyi},</if>
            <if test="steamHsoutpher != null">#{steamHsoutpher},</if>
            <if test="steamHsouthwu != null">#{steamHsouthwu},</if>
            <if test="steamHsoutkliu != null">#{steamHsoutkliu},</if>
            <if test="steamHsoutklz != null">#{steamHsoutklz},</if>
            <if test="steamHsoutsc != null">#{steamHsoutsc},</if>
            <if test="steamHhpsub != null">#{steamHhpsub},</if>
            <if test="steamMsinaeu != null">#{steamMsinaeu},</if>
            <if test="steamMsinlet != null">#{steamMsinlet},</if>
            <if test="steamMsinphyi != null">#{steamMsinphyi},</if>
            <if test="steamMsinkliu != null">#{steamMsinkliu},</if>
            <if test="steamMsoutflare != null">#{steamMsoutflare},</if>
            <if test="steamMsoutaeu != null">#{steamMsoutaeu},</if>
            <if test="steamMsoutsctu != null">#{steamMsoutsctu},</if>
            <if test="steamMsouteer != null">#{steamMsouteer},</if>
            <if test="steamMsoutfur != null">#{steamMsoutfur},</if>
            <if test="steamMsoutva != null">#{steamMsoutva},</if>
            <if test="steamMsouttracing != null">#{steamMsouttracing},</if>
            <if test="steamLsinsub != null">#{steamLsinsub},</if>
            <if test="steamLsinpjiu != null">#{steamLsinpjiu},</if>
            <if test="steamLsinaeu != null">#{steamLsinaeu},</if>
            <if test="steamLsineer != null">#{steamLsineer},</if>
            <if test="steamLsinpher != null">#{steamLsinpher},</if>
            <if test="steamLsoutsctu != null">#{steamLsoutsctu},</if>
            <if test="steamLsoutvjiu != null">#{steamLsoutvjiu},</if>
            <if test="steamLsoutewuliu != null">#{steamLsoutewuliu},</if>
            <if test="steamLsoutewusan != null">#{steamLsoutewusan},</if>
            <if test="steamLsouttracing != null">#{steamLsouttracing},</if>
            <if test="steamLsoutesan != null">#{steamLsoutesan},</if>
            <if test="steamLsoutesi != null">#{steamLsoutesi},</if>
            <if test="steamLsoutother != null">#{steamLsoutother},</if>
            <if test="napOne != null">#{napOne},</if>
            <if test="napTwo != null">#{napTwo},</if>
            <if test="napThree != null">#{napThree},</if>
            <if test="ehtOne != null">#{ehtOne},</if>
            <if test="ehtTwo != null">#{ehtTwo},</if>
            <if test="ehtThree != null">#{ehtThree},</if>
            <if test="ehtFour != null">#{ehtFour},</if>
            <if test="ehtFive != null">#{ehtFive},</if>
            <if test="acrOne != null">#{acrOne},</if>
            <if test="acrTwo != null">#{acrTwo},</if>
            <if test="acrThree != null">#{acrThree},</if>
            <if test="acrFour != null">#{acrFour},</if>
            <if test="acrZero != null">#{acrZero},</if>
            <if test="proTwo != null">#{proTwo},</if>
            <if test="proOne != null">#{proOne},</if>
            <if test="proThree != null">#{proThree},</if>
            <if test="proFour != null">#{proFour},</if>
            <if test="ssBcc != null">#{ssBcc},</if>
            <if test="ssSub != null">#{ssSub},</if>
            <if test="ssEu != null">#{ssEu},</if>
            <if test="ssPgu != null">#{ssPgu},</if>
            <if test="hhpBcc != null">#{hhpBcc},</if>
            <if test="hhpSub != null">#{hhpSub},</if>
            <if test="hsBcc != null">#{hsBcc},</if>
            <if test="hsSub != null">#{hsSub},</if>
            <if test="hsEu != null">#{hsEu},</if>
            <if test="hsPgu != null">#{hsPgu},</if>
            <if test="msBcc != null">#{msBcc},</if>
            <if test="msEu != null">#{msEu},</if>
            <if test="msPgu != null">#{msPgu},</if>
            <if test="lsBcc != null">#{lsBcc},</if>
            <if test="lsEu != null">#{lsEu},</if>
            <if test="lsPgu != null">#{lsPgu},</if>
            <if test="totalBcc != null">#{totalBcc},</if>
            <if test="totalEu != null">#{totalEu},</if>
            <if test="zongBcc != null">#{zongBcc},</if>
            <if test="zongEu != null">#{zongEu},</if>
            <if test="zongPgu != null">#{zongPgu},</if>
            <if test="outputYixi != null">#{outputYixi},</if>
            <if test="outputBx != null">#{outputBx},</if>
            <if test="outputAnnual != null">#{outputAnnual},</if>
            <if test="instantaneous != null">#{instantaneous},</if>
            <if test="cumulative != null">#{cumulative},</if>
            <if test="steamHsouthc230 != null">#{steamHsouthc230},</if>
         </trim>
    </insert>

    <update id="updateTDashboarddata" parameterType="TDashboarddata">
        update t_dashboarddata
        <trim prefix="SET" suffixOverrides=",">
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createrCode != null">creater_code = #{createrCode},</if>
            <if test="createdate != null">createdate = #{createdate},</if>
            <if test="updaterCode != null">updater_code = #{updaterCode},</if>
            <if test="updatedate != null">updatedate = #{updatedate},</if>
            <if test="energyYixi != null">energy_yixi = #{energyYixi},</if>
            <if test="energyBingxi != null">energy_bingxi = #{energyBingxi},</if>
            <if test="energyQingqi != null">energy_qingqi = #{energyQingqi},</if>
            <if test="energyJiawan != null">energy_jiawan = #{energyJiawan},</if>
            <if test="energyCsi != null">energy_csi = #{energyCsi},</if>
            <if test="energyBenzene != null">energy_benzene = #{energyBenzene},</if>
            <if test="energyToluene != null">energy_toluene = #{energyToluene},</if>
            <if test="energyXylene != null">energy_xylene = #{energyXylene},</if>
            <if test="energyTanliu != null">energy_tanliu = #{energyTanliu},</if>
            <if test="energyWashoil != null">energy_washoil = #{energyWashoil},</if>
            <if test="energyTanwu != null">energy_tanwu = #{energyTanwu},</if>
            <if test="energyIma != null">energy_ima = #{energyIma},</if>
            <if test="energyCjiu != null">energy_cjiu = #{energyCjiu},</if>
            <if test="energyRpg != null">energy_rpg = #{energyRpg},</if>
            <if test="energyfeedNap != null">energyfeed_nap = #{energyfeedNap},</if>
            <if test="energyfeedYiwan != null">energyfeed_yiwan = #{energyfeedYiwan},</if>
            <if test="energyfeedTanwu != null">energyfeed_tanwu = #{energyfeedTanwu},</if>
            <if test="energyfeedTanliu != null">energyfeed_tanliu = #{energyfeedTanliu},</if>
            <if test="energyfeedLpg != null">energyfeed_lpg = #{energyfeedLpg},</if>
            <if test="energyOffgas != null">energy_offgas = #{energyOffgas},</if>
            <if test="energyLpg != null">energy_lpg = #{energyLpg},</if>
            <if test="steamSsinfur != null">steam_ssinfur = #{steamSsinfur},</if>
            <if test="steamSsoutlet != null">steam_ssoutlet = #{steamSsoutlet},</if>
            <if test="steamSsoutaeu != null">steam_ssoutaeu = #{steamSsoutaeu},</if>
            <if test="steamSsoutesi != null">steam_ssoutesi = #{steamSsoutesi},</if>
            <if test="steamSsoutksan != null">steam_ssoutksan = #{steamSsoutksan},</if>
            <if test="steamSsoutsc != null">steam_ssoutsc = #{steamSsoutsc},</if>
            <if test="steamHsinsub != null">steam_hsinsub = #{steamHsinsub},</if>
            <if test="steamHsinlet != null">steam_hsinlet = #{steamHsinlet},</if>
            <if test="steamHsinksan != null">steam_hsinksan = #{steamHsinksan},</if>
            <if test="steamHsoutpjiu != null">steam_hsoutpjiu = #{steamHsoutpjiu},</if>
            <if test="steamHsoutaeu != null">steam_hsoutaeu = #{steamHsoutaeu},</if>
            <if test="steamHsoutlet != null">steam_hsoutlet = #{steamHsoutlet},</if>
            <if test="steamHsoutesan != null">steam_hsoutesan = #{steamHsoutesan},</if>
            <if test="steamHsoutphyi != null">steam_hsoutphyi = #{steamHsoutphyi},</if>
            <if test="steamHsoutpher != null">steam_hsoutpher = #{steamHsoutpher},</if>
            <if test="steamHsouthwu != null">steam_hsouthwu = #{steamHsouthwu},</if>
            <if test="steamHsoutkliu != null">steam_hsoutkliu = #{steamHsoutkliu},</if>
            <if test="steamHsoutklz != null">steam_hsoutklz = #{steamHsoutklz},</if>
            <if test="steamHsoutsc != null">steam_hsoutsc = #{steamHsoutsc},</if>
            <if test="steamHhpsub != null">steam_hhpsub = #{steamHhpsub},</if>
            <if test="steamMsinaeu != null">steam_msinaeu = #{steamMsinaeu},</if>
            <if test="steamMsinlet != null">steam_msinlet = #{steamMsinlet},</if>
            <if test="steamMsinphyi != null">steam_msinphyi = #{steamMsinphyi},</if>
            <if test="steamMsinkliu != null">steam_msinkliu = #{steamMsinkliu},</if>
            <if test="steamMsoutflare != null">steam_msoutflare = #{steamMsoutflare},</if>
            <if test="steamMsoutaeu != null">steam_msoutaeu = #{steamMsoutaeu},</if>
            <if test="steamMsoutsctu != null">steam_msoutsctu = #{steamMsoutsctu},</if>
            <if test="steamMsouteer != null">steam_msouteer = #{steamMsouteer},</if>
            <if test="steamMsoutfur != null">steam_msoutfur = #{steamMsoutfur},</if>
            <if test="steamMsoutva != null">steam_msoutva = #{steamMsoutva},</if>
            <if test="steamMsouttracing != null">steam_msouttracing = #{steamMsouttracing},</if>
            <if test="steamLsinsub != null">steam_lsinsub = #{steamLsinsub},</if>
            <if test="steamLsinpjiu != null">steam_lsinpjiu = #{steamLsinpjiu},</if>
            <if test="steamLsinaeu != null">steam_lsinaeu = #{steamLsinaeu},</if>
            <if test="steamLsineer != null">steam_lsineer = #{steamLsineer},</if>
            <if test="steamLsinpher != null">steam_lsinpher = #{steamLsinpher},</if>
            <if test="steamLsoutsctu != null">steam_lsoutsctu = #{steamLsoutsctu},</if>
            <if test="steamLsoutvjiu != null">steam_lsoutvjiu = #{steamLsoutvjiu},</if>
            <if test="steamLsoutewuliu != null">steam_lsoutewuliu = #{steamLsoutewuliu},</if>
            <if test="steamLsoutewusan != null">steam_lsoutewusan = #{steamLsoutewusan},</if>
            <if test="steamLsouttracing != null">steam_lsouttracing = #{steamLsouttracing},</if>
            <if test="steamLsoutesan != null">steam_lsoutesan = #{steamLsoutesan},</if>
            <if test="steamLsoutesi != null">steam_lsoutesi = #{steamLsoutesi},</if>
            <if test="steamLsoutother != null">steam_lsoutother = #{steamLsoutother},</if>
            <if test="napOne != null">nap_one = #{napOne},</if>
            <if test="napTwo != null">nap_two = #{napTwo},</if>
            <if test="napThree != null">nap_three = #{napThree},</if>
            <if test="ehtOne != null">eht_one = #{ehtOne},</if>
            <if test="ehtTwo != null">eht_two = #{ehtTwo},</if>
            <if test="ehtThree != null">eht_three = #{ehtThree},</if>
            <if test="ehtFour != null">eht_four = #{ehtFour},</if>
            <if test="ehtFive != null">eht_five = #{ehtFive},</if>
            <if test="acrOne != null">acr_one = #{acrOne},</if>
            <if test="acrTwo != null">acr_two = #{acrTwo},</if>
            <if test="acrThree != null">acr_three = #{acrThree},</if>
            <if test="acrFour != null">acr_four = #{acrFour},</if>
            <if test="acrZero != null">acr_zero = #{acrZero},</if>
            <if test="proTwo != null">pro_two = #{proTwo},</if>
            <if test="proOne != null">pro_one = #{proOne},</if>
            <if test="proThree != null">pro_three = #{proThree},</if>
            <if test="proFour != null">pro_four = #{proFour},</if>
            <if test="ssBcc != null">ss_bcc = #{ssBcc},</if>
            <if test="ssSub != null">ss_sub = #{ssSub},</if>
            <if test="ssEu != null">ss_eu = #{ssEu},</if>
            <if test="ssPgu != null">ss_pgu = #{ssPgu},</if>
            <if test="hhpBcc != null">hhp_bcc = #{hhpBcc},</if>
            <if test="hhpSub != null">hhp_sub = #{hhpSub},</if>
            <if test="hsBcc != null">hs_bcc = #{hsBcc},</if>
            <if test="hsSub != null">hs_sub = #{hsSub},</if>
            <if test="hsEu != null">hs_eu = #{hsEu},</if>
            <if test="hsPgu != null">hs_pgu = #{hsPgu},</if>
            <if test="msBcc != null">ms_bcc = #{msBcc},</if>
            <if test="msEu != null">ms_eu = #{msEu},</if>
            <if test="msPgu != null">ms_pgu = #{msPgu},</if>
            <if test="lsBcc != null">ls_bcc = #{lsBcc},</if>
            <if test="lsEu != null">ls_eu = #{lsEu},</if>
            <if test="lsPgu != null">ls_pgu = #{lsPgu},</if>
            <if test="totalBcc != null">total_bcc = #{totalBcc},</if>
            <if test="totalEu != null">total_eu = #{totalEu},</if>
            <if test="zongBcc != null">zong_bcc = #{zongBcc},</if>
            <if test="zongEu != null">zong_eu = #{zongEu},</if>
            <if test="zongPgu != null">zong_pgu = #{zongPgu},</if>
            <if test="outputYixi != null">output_yixi = #{outputYixi},</if>
            <if test="outputBx != null">output_bx = #{outputBx},</if>
            <if test="outputAnnual != null">output_annual = #{outputAnnual},</if>
            <if test="instantaneous != null">instantaneous = #{instantaneous},</if>
            <if test="cumulative != null">cumulative = #{cumulative},</if>
            <if test="steamHsouthc230 != null">steam_hsouthc230 = #{steamHsouthc230},</if>
        </trim>
        where id = #{id}
    </update>

    <update id="deleteTDashboarddataById" parameterType="Long">
        update t_dashboarddata set del_flag = 2 where id = #{id}
    </update>

    <update id="deleteTDashboarddataByIds" parameterType="String">
        update t_dashboarddata set del_flag = 2 where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </update>
    
</mapper>